Recent Posts

Pages: 1 [2] 3 4 ... 10
11
AutoLISP (Vanilla / Visual) / BigAL ah:butts ?
« Last post by jlogan02 on January 27, 2021, 01:28:38 PM »
BigAl,

Thought I'd give your multi-buttons routines a shot with a simple line routine. It keeps telling me the linetype is loaded do I want to reload it.
I can't seem to find the way around that part.

I tried using
Code - Auto/Visual Lisp: [Select]
  1. setvar 'celtype ans
instead of
Code - Auto/Visual Lisp: [Select]
  1. (command "linetype" "S"...)
  and get...AutoCAD variable rejected...celtype

Also, in this routine I'm using the acad_colordlg to set the color, how would I used AH:Butts for two dialogs? One for color and one for linetype?

Code - Auto/Visual Lisp: [Select]
  1. (defun test22 ( / ans but p1 p2 )
  2.    (graphscr)
  3.    (setq scmde (getvar "cmdecho"))
  4.    (setvar "cmdecho" 0)
  5.    (setvar 'cecolor (rtos (acad_colordlg 1) 2 0))
  6. (if (not AH:Butts)(load "Multi Radio buttons-2.lsp"))
  7.   (if (not but)(setq but 1))
  8.     (setq ans (ah:butts but "v" '("Choose LineType" "ByBlock" "Bylayer" "CENTER" "Continuous" "PHANTOMA" "PULSE" "VOLTAGE")))
  9.  
  10.   (command "linetype" "s" ans)
  11.  (while (and (or p1 (setq p1 (getpoint "\nSpecify start point: ")))
  12.                      (setq p2 (getpoint p1 "\nSpecify next point: "))
  13.   )
  14.       (command "line" p1 p2 "")
  15.       (setq p1 p2)
  16.   )
  17. )
  18. )
12
Marco, tomorrow
I will take a look to command-s function
...
Thank you

Ciao
13
I asked to post the full command value...
For the error function see my previous post...
[size=78%]I am with my Android phone ....[/size]
14
I have FOUND the MISTAKE !

The FULL FILE NAME :

"D:\\[MIT]\\- MATERA - POLIZIA - 2018\\VIE di ESODO\\MT-QUESTURA - VIE di ESODO - PIANTA PIANO SEMINTERRATO - 01 - 180.pdf"

is TOO MUCH LONG !

Only This ! ! !
15
Take a look at "command-s" function...
16
it's always the same!

In the image, it is well shown the code.

Where is the mistake ?

I checked my inputs . . . everything is right !
17
Post this with your vaules:
Code - Auto/Visual Lisp: [Select]
  1. (PlotToFile "DWG To PDF.pc3"
  2.             "ANSI_A_(11.00_x_8.50_Inches)"
  3.             (list (list 0 0) (list 100 100))
  4.             (strcat (getvar "DWGPREFIX") (getvar "DWGNAME") ".pdf")
  5. )


EDIT (John): Added code tags.
18
Quote
do not completely change a message you have already posted,
make a new one otherwise we do not understand anything
ok !

But however the situation is what is shown in the attached JPG . . .
19
Marco, I don't understand whay you want mean !
do not completely change a message you have already posted, make a new one otherwise we do not understand anything
20
See Vovka code:
Code: [Select]
  (vla-SetWindowToPlot
    ActiveLayoutObj
    (vlax-make-variant (vlax-safearray-fill (vlax-make-safearray vlax-vbDouble '(0 . 1)) (car Window)))
    (vlax-make-variant (vlax-safearray-fill (vlax-make-safearray vlax-vbDouble '(0 . 1)) (cadr Window)))
  )
  (vla-Put-PlotType ActiveLayoutObj acWindow)
Pages: 1 [2] 3 4 ... 10